Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Jörg Walter <[email-masked]>
Date: Tue, 18 Sep 2012 11:46:13 +0200

Op den Dingsdag, de 18. September 2012 Klock 10:46:35 hett Eli Zaretskii 
schreven:
> I cannot reproduce the slow-down on my machine (Windows XP).  What I
> see is constant time, give or take 2%, with no growth trend
> whatsoever.
> 
> I don't have access to GUI sessions on any configuration close to this:
> > In GNU Emacs 24.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
> > 
> >  of 2012-09-17 on queen
> > 
> > Windowing system distributor `The X.Org Foundation', version 11.0.11103000
> > 
> > Configured using:
> >  `configure '--with-gif=no''
> 
> Can anyone else reproduce this?
> 
> Jörg, does this happen with earlier versions of Emacs, like 24.1 or
> 23.3?

I've done some additional tests: It does *not* happen with Ubuntu's emacs23 
(23.3.1). Just for cross-checking, I ran Win32 emacs 24.2 once via wine and 
once in VirtualBox+WinXP, in both cases no bug.

It *does* happen with Ubuntu's emacs24 (24.1.1), which is where I first noticed 
the problem. It also happens on all  X toolkits (gtk, gtk3, athena, lucid).

-- 
CU
	Jörg